fn main() {
    // ANCHOR: here
    let mut s = String::from("witaj");

    let r1 = &s; // Żadnych problemów
    let r2 = &s; // Żadnych problemów
    println!("{} and {}", r1, r2);
    // Od tego miejsca zmienne r1 i r2 nie będą już używane

    let r3 = &mut s; // Żadnych problemów
    println!("{}", r3);
    // ANCHOR_END: here
}
